/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_TIPOSERVEVEN                                             */
/* Tabela : TIPOSERVEVEN                                                      */
/*                                                                            */
/* Criao:                                                                   */
/* 15/09/2006 - ARNALDO COUTINHO BRITO JNIOR                                 */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_TIPOSERVEVEN' and
            type = 'TR'                      and
            u.uid = o.uid           	     and
            u.name = USER)
   DROP TRIGGER DTULTATU_TIPOSERVEVEN
GO

CREATE TRIGGER DTULTATU_TIPOSERVEVEN
ON TIPOSERVEVEN
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'TIPOSERVEVEN', null, 'CDTPSERVEVEN=' + CDTPSERVEVEN + ';',                                GETDATE() FROM DELETED)

   END
   ELSE BEGIN
      UPDATE TIPOSERVEVEN
      SET DTULTATUSEEV = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(TIPOSERVEVEN.CDTPSERVEVEN,0) = ISNULL(INSERTED.CDTPSERVEVEN,0)) AND                          (ISNULL(TIPOSERVEVEN.NMTPSERVEVEN,0) = ISNULL(INSERTED.NMTPSERVEVEN,0));
   END;
END;
GO


-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_TIPOSERVEVEN','5.05.003';
GO

